# types.h File Reference

`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <windows.h>`

Go to the source code of this file.

## Defines

#define | GWEN_GNUC_EXTENSION
#define | GWEN_TYPE_TMPL_UINT32 "%u"
#define | GWEN_TYPE_TMPL_UINT64 "%llu"

## Typedefs

typedef unsigned int | GWEN_TYPE_UINT32
typedef ULONG64 | GWEN_TYPE_UINT64

## Define Documentation

#define GWEN_GNUC_EXTENSION

#define GWEN_TYPE_TMPL_UINT32 "%u"

| define type templates

#define GWEN_TYPE_TMPL_UINT64 "%llu"

## Typedef Documentation

typedef unsigned int GWEN_TYPE_UINT32

| Define an unsigned integer type with 32 bit storage length.

typedef ULONG64 GWEN_TYPE_UINT64

| Define an unsigned integer type with 64 bit storage length. This depends heavily on the actual compiler. Currently gcc and MSVC are supported. For any further compilers, additional conditional clauses have to be added.